Lavalite package that provides facebook management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/facebook`.

    "restaurant/facebook": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\Facebook\Providers\FacebookServiceProvider::class,

And also add it to alias

    'Facebook'  => Restaurant\Facebook\Facades\Facebook::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\Facebook\\Seeders\\FacebookTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\Facebook\Providers\FacebookServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\Facebook\Providers\FacebookServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\Facebook\Providers\FacebookServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/facebook/{modulename}

**User**

    http://path-to-route-folder/user/facebook/{modulename}

**Public**

    http://path-to-route-folder/facebooks


### API endpoints

**List**

    http://path-to-route-folder/api/user/facebook/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/facebook/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/facebook/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/facebook/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/facebook/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/facebook/{modulename}/{slug}
    METHOD: GET